<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Compito</title>
    <style>

    *
    {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
    }
    h1
    {
        font-size: 100px;
    }
    .container
    {
        border: 1px solid red;
        display: flex;
        flex-wrap: wrap;
    }
    .item
    {
        background: #ccc;
        flex-basis: 20%;
        padding: 20px;
    }
    @media (max-width: 767px)
    {
        .item
        {
        flex-basis: 50%;
        }
    }
    .header
    {
        border: 1px solid red;
        display: flex;
        justify-content: space-between;
    }
    .logo,
    .menu,
    .cta
    {
        border: 1px solid red;
        min-width: 100px;
    }
    .menu ul
    { 
        padding: 0;
        list-style-type: none;
    }
    .menu ul li
    { 
        display: inline-block;
    }
    .menu ul li a
    { 
        padding: 10px;
        display: block;
    }

    </style>
</head>
<body>
    
    <h1>FlexBox</h1>

    <div class="header">
        <div class="logo">
            logo
        </div>
        <div class="menu">
            <ul>
                <li><a href="">Link</a></li>
                <li><a href="">Link</a></li>
                <li><a href="">Link</a></li>
            </ul>
        </div>
        <div class="cta">
            Contatti
        </div>
    </div>

    <div class = "container">
        <div class = "item">
            <p>Questa frase è veramente ricca di lessico variante ed ha una grammatica eccellente.</p>
        </div>
        <div class = "item">
            <p>Questa frase è veramente ricca di lessico variante ed ha una grammatica eccellente.</p>
        </div>
        <div class = "item">
            <p>Questa frase è veramente ricca di lessico variante ed ha una grammatica eccellente.</p>
        </div>
        <div class = "item">
            <p>Questa frase è veramente ricca di lessico variante ed ha una grammatica eccellente.</p>
        </div>
        <div class = "item">
            <p>Questa frase è veramente ricca di lessico variante ed ha una grammatica eccellente.</p>
        </div>
        <div class = "item">
            <p>Questa frase è veramente ricca di lessico variante ed ha una grammatica eccellente.</p>
        </div>
        <div class = "item">
            <p>Questa frase è veramente ricca di lessico variante ed ha una grammatica eccellente.</p>
        </div>
    </div>

</body>
</html>